<?php

namespace Shop\Presentation\Config;

/**
 * Description of Payment
 *
 * @author Admin
 */
class Payment extends \Core\IniConfig
{

    protected $merchantId;
    
    protected $commission;
    
    protected $emulateMode;
    
    protected $login;
    
    protected $password;

    function getMerchantId()
    {
        return $this->merchantId;
    }

    function getCommission()
    {
        return $this->commission;
    }

    function getEmulateMode()
    {
        return $this->emulateMode;
    }

    function getLogin()
    {
        return $this->login;
    }

    function getPassword()
    {
        return $this->password;
    }

    function setMerchantId($merchantId)
    {
        $this->merchantId = $merchantId;
        return $this;
    }

    function setCommission($commission)
    {
        $this->commission = $commission;
        return $this;
    }

    function setEmulateMode($emulateMode)
    {
        $this->emulateMode = $emulateMode;
        return $this;
    }

    function setLogin($login)
    {
        $this->login = $login;
        return $this;
    }

    function setPassword($password)
    {
        $this->password = $password;
        return $this;
    }

    protected function getFileName()
    {
        return 'shop.payment.ini';
    }

}